# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCloseSessionReq

Packages that use TCloseSessionReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCloseSessionReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCloseSessionReq
Modifier and Type
Class
Description
`class`
`TCloseSessionReq`
`class`
`TCloseSessionReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCloseSessionReq
Modifier and Type
Field
Description
`TCloseSessionReq`
TCLIService.CloseSession_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCloseSessionReq
Modifier and Type
Method
Description
`TCloseSessionReq`
TCloseSessionReq.`deepCopy()`
`TCloseSessionReq`
TCLIService.CloseSession_args.`getReq()`
`TCloseSessionReq`
TCloseSessionReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCloseSessionReq
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`CloseSession(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler)`
`void`
TCLIService.AsyncIface.`CloseSession(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler)`
`TCloseSessionResp`
TCLIService.Client.`CloseSession(TCloseSessionReq req)`
`TCloseSessionResp`
TCLIService.Iface.`CloseSession(TCloseSessionReq req)`
`int`
TCloseSessionReq.`compareTo(TCloseSessionReq other)`
`boolean`
TCloseSessionReq.`equals(TCloseSessionReq that)`
`void`
TCLIService.Client.`send_CloseSession(TCloseSessionReq req)`
`TCLIService.CloseSession_args`
TCLIService.CloseSession_args.`setReq(TCloseSessionReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCloseSessionReq
Modifier
Constructor
Description
``
`CloseSession_args(TCloseSessionReq req)`
``
`CloseSession_call(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TCloseSessionReq(TCloseSessionReq other)`
Performs a deep copy on other.